Results 1 to 4 of 4

Thread: Possible to Undo Recent Software Installations/Updates?

  1. #1

    Default Possible to Undo Recent Software Installations/Updates?

    Hello All,

    OS:
    SLES 11.1 (i586)

    Yesterday I updated our bash version from 3.2.51(1) to 4.1.0(1). Which seemed to work fine after that installed. I was able
    to execute my Shell Scripts without any issues arising.
    But then I was trying to update Gedit from versions 2.28.3 to 2.30.4... And that's when the bad things started happening...

    While Installing Gedit I believe Yast had also installed some dependencies for it, for example some "lib*" files, etc...
    I installed it from here --> software.opensuse.org/package/gedit using the "1 Click Install" button to install it. After clicking that
    it opened the "Yast Package Manager" (i.e. Software Manager) and installed it from there.

    I'm not exactly sure what all the dependencies were that were downloaded/installed, but I definitely know that a bunch were installed.
    I read about the "Snapper" Application that you can use to Roll-Back to an earlier "Snapshot" to undo the changes, but that wasn't installed
    when I tried the Gedit Install.


    Now EVERYTIME I try to open a GUI application from the Command-Line I get a bunch of errors and it never opens.

    Here's Some of the Errors I'm Seeing:
    *The First Error below is NOT the issue bc I believe I always saw that Error even before the Update of Gedit and some lib files
    The problem is the ones in red...

    Code:
      # gedit my_file.sh
    Gtk-Message: Failed to load module "gnomesegvhandler": libgnomesegvhandler.so: cannot open shared object file: No such file or directory
    /usr/lib/libstdc++.so.6: version `'GLIBCXX_3.4.11'` not found (required by /usr/lib/libproxy.so.1)
    Failed to load module: /usr/lib/gio/modules/libgiolibproxy.so
    gedit: symbol lookup error: /usr/lib/gio/modules/libdconfsettings.so: undefined symbol: g_settings_backend_get_type
    
    # gedit my_file.sh
    Gtk-Message: Failed to load module "gnomesegvhandler": libgnomesegvhandler.so: cannot open shared object file: No such file or directory
     gedit: symbol lookup error: /usr/lib/gio/modules/libgiolibproxy.so: undefined symbol: g_proxy_resolver_get_type
    
    # gedit my_file.sh
    Gtk-Message: Failed to load module "gnomesegvhandler": libgnomesegvhandler.so: cannot open shared object file: No such file or directory
    /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/libproxy.so.1)
    Failed to load module: /usr/lib/gio/modules/libgiolibproxy.so
    gedit: symbol lookup error: /usr/lib/gio/modules/libgiognutls.so: undefined symbol: g_tls_backend_get_type
    I'm not exactly positive but I think inbetween those calls there to open gedit, I think I may have tried installing some new versions of those library files...?

    Also, I remember Googling the error about "libstdc++.so.6" and found someone had the same error while they were trying to run/open "DropBox". This
    is the site here --> https://gist.github.com/2527687 It basically just had me make a symbolic link to libstdc++.so.6...
    FYI: I undid the symbolic link that is mentioned in the link above...


    HERE'S A LIST OF EVERYTHING INSTALLED YESTERDAY (i.e. Nov 1 ):
    Code:
    # rpm -qa --last | grep -i "01 Nov"
    gnome-applets-colorblind-0.16.0-2.2           Thu 01 Nov 2012 04:46:34 PM EDT
    gnome-python-desktop-2.28.0-1.2               Thu 01 Nov 2012 04:46:33 PM EDT
    libbrasero-media0-2.28.3-1.2                  Thu 01 Nov 2012 04:46:32 PM EDT
    brasero-lang-2.28.3-1.2                       Thu 01 Nov 2012 04:46:31 PM EDT
    brasero-2.28.3-1.2                            Thu 01 Nov 2012 04:46:24 PM EDT
    libbrasero-burn0-2.28.3-1.2                   Thu 01 Nov 2012 04:46:22 PM EDT
    libgnomeprintui-2.18.6-2.1                    Thu 01 Nov 2012 04:46:21 PM EDT
    totem-pl-parser-2.28.1-1.2.109                Thu 01 Nov 2012 04:46:20 PM EDT
    gedit-lang-2.28.3-1.2                         Thu 01 Nov 2012 04:46:19 PM EDT
    libproxy0-wpad-dns-0.3.1-1.2                  Thu 01 Nov 2012 04:46:16 PM EDT
    libgnomeprint-2.18.8-2.1                      Thu 01 Nov 2012 04:46:15 PM EDT
    totem-pl-parser-lang-2.28.1-1.2.109           Thu 01 Nov 2012 04:46:14 PM EDT
    augeas-lenses-0.5.0-1.2                       Thu 01 Nov 2012 04:46:12 PM EDT
    gedit-2.28.3-1.2                              Thu 01 Nov 2012 04:46:06 PM EDT
    libproxy0-pacrunner-mozjs-0.3.1-1.2           Thu 01 Nov 2012 04:46:03 PM EDT
    libgmime-2_4-2-2.4.21-3.2                     Thu 01 Nov 2012 04:46:02 PM EDT
    libgnomecups-0.2.3-122.1                      Thu 01 Nov 2012 04:46:01 PM EDT
    gpg-pubkey-034e6912-4f3491fc                  Thu 01 Nov 2012 04:44:40 PM EDT
    libproxy1-config-gnome-0.4.7-6.28.1           Thu 01 Nov 2012 04:10:14 PM EDT
    librcc0-0.2.9-6.7.1                           Thu 01 Nov 2012 04:10:13 PM EDT
    libproxy1-pacrunner-mozjs-0.4.7-6.28.1        Thu 01 Nov 2012 04:10:13 PM EDT
    libproxy1-0.4.7-6.28.1                        Thu 01 Nov 2012 04:08:49 PM EDT
    glib-networking-2.27.90-5.1                   Thu 01 Nov 2012 04:08:49 PM EDT
    rcc-runtime-0.2.9-6.7.1                       Thu 01 Nov 2012 04:08:48 PM EDT
    crda-1.1.1-6.1                                Thu 01 Nov 2012 04:08:45 PM EDT
    libcanberra-gtk2-module-0.26-2.1              Thu 01 Nov 2012 04:08:44 PM EDT
    gsettings-backend-dconf-0.7.2-2.1             Thu 01 Nov 2012 04:08:44 PM EDT
    libdconf0-0.7.2-2.1                           Thu 01 Nov 2012 04:08:43 PM EDT
    bundle-lang-common-en-11.4-12.13.1            Thu 01 Nov 2012 04:08:42 PM EDT
    bundle-lang-gnome-en-11.4-5.13.1              Thu 01 Nov 2012 04:08:40 PM EDT
    bundle-lang-gnome-extras-en-11.4-5.13.1       Thu 01 Nov 2012 04:08:39 PM EDT
    xorg-x11-driver-video-intel-legacy-2.9.1-8.1  Thu 01 Nov 2012 04:08:37 PM EDT
    xorg-x11-driver-video-nouveau-0.0.16_20110115_b795ca6-3.1 Thu 01 Nov 2012 04:08:36 PM EDT
    gnome-icon-theme-extras-2.30.1-5.1            Thu 01 Nov 2012 04:08:34 PM EDT
    gnome-icon-theme-symbolic-2.31.0-4.1          Thu 01 Nov 2012 04:08:31 PM EDT
    wireless-regdb-2009.11.25-6.1                 Thu 01 Nov 2012 04:08:30 PM EDT
    libcanberra-gtk-module-common-0.26-2.1        Thu 01 Nov 2012 04:08:30 PM EDT
    dconf-0.7.2-2.1                               Thu 01 Nov 2012 04:08:30 PM EDT
    libenca0-1.13-4.1                             Thu 01 Nov 2012 04:08:14 PM EDT
    gstreamer-0_10-plugin-gnomevfs-0.10.32-4.1    Thu 01 Nov 2012 04:08:14 PM EDT
    librcd0-0.1.13-4.1                            Thu 01 Nov 2012 04:08:13 PM EDT
    libmodman1-2.0.1-3.1                          Thu 01 Nov 2012 04:08:13 PM EDT
    glib2-tools-2.28.0-3.8.1                      Thu 01 Nov 2012 04:08:12 PM EDT
    libstdc++45-4.5.0_20100414-1.2.7              Thu 01 Nov 2012 04:08:11 PM EDT
    bash-lang-4.2-175.1                           Thu 01 Nov 2012 11:23:43 AM EDT
    bash-4.2-175.1                                Thu 01 Nov 2012 11:23:40 AM EDT
    gpg-pubkey-b91e1e8b-4f982d8d                  Thu 01 Nov 2012 11:23:36 AM EDT
    PackageKit-browser-plugin-0.6.14-0.8.1        Thu 01 Nov 2012 11:16:28 AM EDT
    PackageKit-gstreamer-plugin-0.6.14-0.8.1      Thu 01 Nov 2012 11:16:27 AM EDT
    gstreamer-0_10-plugin-hal-0.10.28-1.2.1       Thu 01 Nov 2012 11:16:27 AM EDT
    gxditview-1.20.1-4.4.1                        Thu 01 Nov 2012 11:16:26 AM EDT
    PackageKit-gtk-module-0.6.14-0.8.1            Thu 01 Nov 2012 11:16:25 AM EDT
    libpackagekit-glib2-14-0.6.14-0.8.1           Thu 01 Nov 2012 11:16:25 AM EDT
    libreadline6-6.1-18.28.1                      Thu 01 Nov 2012 11:16:24 AM EDT
    gpg-pubkey-3dbdc284-4be1884d                  Thu 01 Nov 2012 11:16:21 AM EDT
    Lastly, here is the output from trying to open Gedit right now...
    Code:
    # gedit 
    Gtk-Message: Failed to load module "gnomesegvhandler": libgnomesegvhandler.so: cannot open shared object file: No such file or directory
    libstdc++.so.6: cannot open shared object file: No such file or directory
    Failed to load module: /usr/lib/gio/modules/libgiolibproxy.so
    libstdc++.so.6: cannot open shared object file: No such file or directory
    Failed to load module: /usr/lib/gio/modules/libgiofam.so
    gedit: symbol lookup error: /usr/lib/gio/modules/libgiognutls.so: undefined symbol: g_tls_backend_get_type
    
    
    *And here is trying to open "Yast" from the command line:
    # yast2
        libstdc++.so.6 => not found
        libstdc++.so.6 => not found
        libstdc++.so.6 => not found
        libstdc++.so.6 => not found
    warning: the qt frontend is installed but does not work
    Qt GUI wanted but not found, falling back to ncurses.
        libstdc++.so.6 => not found
        libstdc++.so.6 => not found
    warning: the ncurses frontend is installed but does not work
    package yast2-gtk is not installed
    Something is wrong with the YaST user interface.
    If anyone has any ideas for what I can , PLEASE feel free!!
    I'm kind of stuck now, since I can't even open Yast as well....


    Thanks in Advance,
    Matt

  2. #2
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Possible to Undo Recent Software Installations/Updates?

    On 2012-11-02 15:56, mmartin0926 wrote:
    >
    > Hello All,
    > *
    > OS: *SLES 11.1 (i586)


    This is an openSUSE forum, there is a different one for SUSE.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" (Minas Tirith))

  3. #3

    Default Re: Possible to Undo Recent Software Installations/Updates?

    Hey robin_listas, thanks for your reply...

    OOOOPPS Sorrrrryyy, didn't even think about that, just assumed that it was the same forum...
    No worries, someone here at my work was able to give me a hand just now and we got it figured out.


    Basically, when I installed the updated version of Gedit, it also installed some c/c++ libs which I already had, but were
    different versions. So after YaST installed these new libs I ended up with 2 different versions of the same library.
    So I just uninstalled the newer library and all is well again.

    Thanks,
    Matt

  4. #4
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,288

    Default Re: Possible to Undo Recent Software Installations/Updates?

    Closed. Please go to https://forums.suse.com/ The same username/password as here should work there.
    Henk van Velden

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •